// @codekit-prepend "gui.js"

(function($) {

MaterioFlag = function(){

  
  /**
  * init()
  */
  function init(){
    trace('init MaterioFlag');
    $(document).bind('flagGlobalAfterLinkUpdate', onFlaging);
  };

  function onFlaging(event){
    trace('onFlaging', event);

    $.getJSON('/materioflag/refresh/block/bookmarks', function(json){
      trace('json', json);
      $('#block-materio-flag-materio-flag-mybookmarks').replaceWith(json.block);
      Drupal.flagLink('#block-materio-flag-materio-flag-mybookmarks');
      // TODO:  update flags stars on search results after unflaging from block  
      $.event.trigger('mybookmarks-block-updated');
    });

  };

  init();


  };

var materioflag = new MaterioFlag();
  
})(jQuery);